#
# spec file for package x11perf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           x11perf
Version:        1.6.0
Release:        1.20
Summary:        Utility to test X11 server performance
License:        HPND
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrender)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The x11perf program runs one or more performance tests and reports how
fast an X server can execute the tests.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/x11perf
%{_bindir}/x11perfcomp
%{_libdir}/X11/x11perfcomp/
%{_mandir}/man1/Xmark.1%{?ext_man}
%{_mandir}/man1/x11perf.1%{?ext_man}
%{_mandir}/man1/x11perfcomp.1%{?ext_man}
%ifnarch %ix86
%dir %{_libdir}/X11
%endif

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.6.0:
  * This release adds one new general option:
  - pause <s>                pause for <s> seconds between each run
    and several new test options:
  - crgb10text                Char in 80-char rgb core line (Charter 10)
  - crgb24text                Char in 30-char rgb core line (Charter 24)
  - crgbftext                 Char in 80-char rgb core line (Courier 12)
  - magpixwin10               Scale 5x5 from pixmap to 10x10 window
  - magpixwin100              Scale 50x50 from pixmap to 100x100 window
  - magpixwin500              Scale 250x250 from pixmap to 500x500 window
  - minpixwin10               Scale 10x10 from pixmap to 5x5 window
  - minpixwin100              Scale 100x100 from pixmap to 5x5 window
  - minpixwin500              Scale 500x500 from pixmap to 250x250 window
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to HPND in specfile
* Sun Apr 15 2012 dimstar@opensuse.org
- Update to version 1.5.4:
  + Minor bug fixes
  + Build system fixes
- Changes from version 1.5.3:
  + Avoid "rep" calculation overflow.
  + Clamp test time to positive values.
  + Bugs fixed: fdo#31640.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split x11perf from xorg-x11. Initial version: 1.5.2.
